> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/8.-mutacija-generet-rastra-karti.md).

# 8. Mutācija: ģenerēt "Rastra karti"

Ģenerēt "RasterMap" laukam "Field".

{% hint style="info" %}
Izpildes laiks atšķiras (no 4 sekundēm līdz 5 minūtēm), tas ir atkarīgs no attēlu skaita un apstrādājamās lauka platības, un abonementu saņems pēc veiksmīgas "RasterMap" ģenerēšanas.
{% endhint %}

{% hint style="danger" %}
Mēs iesakām izmantot **asinhrono** pieeju, lai ģenerētu RasterMap
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutācija GenerateRasterMap {
  generateRasterAnalysisMap(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",  
      "<vietturis_satellītbilde_uuid_2>"
    ]
    indekss: NDVI
  }) {    
    uuid
    fieldUuid
    nosaukums
    centroid {
      platuma
      garuma
    }
    robežkaste
    geoMaps {
      shortName
      fullName
      url
      klases
      hexKrāsuKodes
    }
    status
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/8.-mutacija-generet-rastra-karti.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
